Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.crs.configuration
Enum AbstractCRSProvider.SupportedProjections

    java.lang.Object
      java.lang.Enum<AbstractCRSProvider.SupportedProjections>
          org.deegree.crs.configuration.AbstractCRSProvider.SupportedProjections

All Implemented Interfaces:
  Serializable, Comparable<AbstractCRSProvider.SupportedProjections>

Enclosing class:
  AbstractCRSProvider<T>

    public static enum AbstractCRSProvider.SupportedProjections

extends Enum<AbstractCRSProvider.SupportedProjections>

The `SupportedProjections` enumeration defines currently supported projections

Version:
  $Revision: 23328 $, $Date: 2010-03-30 17:40:30 +0200 (Di, 30. Mär 2010) $
Author:
  Rutger Bezema, last edited by: $Author: rbezema $

Enum Constant Summary
`LAMBERT_AZIMUTHAL_EQUAL_AREA` The `LambertAzimuthalEqualArea` projection
`LAMBERT_CONFORMAL` The `LambertConformalConic` projection
`NOT_SUPPORTED` A not supported projection
`STEREOGRAPHIC_AZIMUTHAL` Snyders `StereographicAzimuthal` implementation of the stereographic azimuthal projection
`STEREOGRAPHIC_AZIMUTHAL_ALTERNATIVE` EPSG `StereographicAlternative` implementation of the Stereographic azimuthal projection
`TRANSVERSE_MERCATOR` The `TransverseMercator` projection

Method Summary
`static AbstractCRSProvider.SupportedProjections` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static AbstractCRSProvider.SupportedProjections[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRANSVERSE_MERCATOR

    public static final AbstractCRSProvider.SupportedProjections TRANSVERSE_MERCATOR

  The `TransverseMercator` projection

### LAMBERT_CONFORMAL

    public static final AbstractCRSProvider.SupportedProjections LAMBERT_CONFORMAL

  The `LambertConformalConic` projection

### LAMBERT_AZIMUTHAL_EQUAL_AREA

    public static final AbstractCRSProvider.SupportedProjections LAMBERT_AZIMUTHAL_EQUAL_AREA

  The `LambertAzimuthalEqualArea` projection

### STEREOGRAPHIC_AZIMUTHAL

    public static final AbstractCRSProvider.SupportedProjections STEREOGRAPHIC_AZIMUTHAL

  Snyders `StereographicAzimuthal` implementation of the stereographic azimuthal projection

### STEREOGRAPHIC_AZIMUTHAL_ALTERNATIVE

    public static final AbstractCRSProvider.SupportedProjections STEREOGRAPHIC_AZIMUTHAL_ALTERNATIVE

  EPSG `StereographicAlternative` implementation of the Stereographic azimuthal projection

### NOT_SUPPORTED

    public static final AbstractCRSProvider.SupportedProjections NOT_SUPPORTED

  A not supported projection

Method Detail

### values

    public static final AbstractCRSProvider.SupportedProjections[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(AbstractCRSProvider.SupportedProjections c : AbstractCRSProvider.SupportedProjections.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static AbstractCRSProvider.SupportedProjections valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org